<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for editing Forum
//
require_once('plugins/forum/lib/ForumMessagePeer.php');
require_once('plugins/forum/lib/ForumMessage.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('core/Language.php');

$Lang = Language::getSessLang();

$messages = $_POST['message'];

foreach ($messages as $key => $message) {

	if ($message['action'] == 'approve') {
		
		$ForumMessage = ForumMessagePeer::retrieveByPk($key);
 		if (is_object($ForumMessage)) {
 			$ForumMessage->approvePendingMessage();
 		} 		
	} 
	elseif ($message['action'] == 'delete') {
		$ForumMessage = ForumMessagePeer::retrieveByPk($key);
		if (is_object($ForumMessage) && $ForumMessage->userCanDelete()) {
			$ForumMessage->delete();
		}
	}
}

	GFUrl::redirect($url->currentBaseURL(''), array('feedback' => $Lang->getText('Forum.ForumMessagesProcessed')));

?>