<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('plugins/scm/lib/ScmModulePeer.php');
require_once('plugins/scm/lib/ScmModule.php');
require_once('exceptions/PermissionDeniedException.php');

$project = GFUrl::getUrl()->getProject();

$stmt = Propel::getConnection()->prepareStatement('SELECT * FROM code_search_module WHERE code_search_module_id=?');
$stmt->setInt(1, $_REQUEST['id']);
$rs = $stmt->executeQuery();

if (!$rs->next() || !$project->getPermission()->isAdmin()) {
	throw new PermissionDeniedException();
}

$module = ( (isset($_POST) && isset($_POST['module'])) ? htmlspecialchars($_POST['module']) : $rs->getString('module') );
$params['feedback'] = isset($feedback) ? $feedback : '';

include ('forms/CodeSearchModuleEdit-tpl.php');

?>
