CREATE TABLE code_search_module(
	code_search_module_id SERIAL NOT NULL PRIMARY KEY,
	project_id INTEGER NOT NULL REFERENCES project(project_id) ON DELETE CASCADE,
	module TEXT NOT NULL
);

CREATE TABLE code_search_index(
	code_search_module_id INTEGER NOT NULL REFERENCES code_search_module(code_search_module_id) ON DELETE CASCADE,
	filename TEXT NOT NULL,
	line INTEGER,
	revision VARCHAR(256) NOT NULL,
	class_name TEXT,
	method_name TEXT,
	variable_name TEXT,
	comment TEXT,
	vectors tsvector
);
