<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author nwolf
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('plugins/mailman/lib/html/MailmanTemplate.php');

class MailmanAdminTemplate extends MailmanTemplate {

	function header($params) {	
		
		if(!isset($params['project']) || !is_object($params['project'])) {
			Throw new exception('Missing project object in tracker template');
		}
		if (!Session::getSession()->isLoggedIn()) {
			Throw new PermissionDeniedException();
		}		
		if(!$params['project']->getPermission()->isAdmin()) {
			Throw new PermissionDeniedException();
		}
				
		$this->addBreadCrumb('<a href="'.GFUrl::getUrl()->projectUrl($params['project'],'','mailman','admin').'">'.Language::getSessText('Tabs.Admin').'</a>');	
		return parent::header($params);
	}



	/**
	 * getTemplateNavElements - this function adds admin menu links
	 * 
	 * @return array - complex array of data.
	 */
	/*function getTemplateNavElements($params) {
		$pine = $this->getPluginNavElements($params);
		foreach ($pine as $result) {
			$ret[]=$result->getResult();
		}
		if (!isset($params['project'])) {
			echo 'missing project param';
		}
		$ret[] = array(
			'title'=>'Mailman',
			'elements'=> array(
			array('link'=> GFUrl::getUrl()->projectURL($params['project'], 'admin', 'mailman'),
				'description'=>'Admin')			
			)
		);
		return $ret;
	}*/
}

?>