<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// Export Template Project, outputs file for download.
//

require_once('lib/GFExportImport.php');

if (!Session::getSession()->isSiteAdmin()) {
	throw new PermissionDeniedException();
}

$Project = ProjectPeer::retrieveByPk($_REQUEST['id']);
if (!is_object($Project)) {
	throw new exception('Invalid Project');
}

$ei = new GFExportImport($Project);
$feedback = $ei->export("PROJECT_TPLEXPORT", 'lib/systemSpecDataTpl.xml');
$zipfile = $ei->zipExport();

header ("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header('Content-Description: File Transfer');
header('Content-Type: application/octet-stream');
header('Content-Length: ' . filesize($zipfile));
header('Content-Disposition: attachment; filename=' . basename($zipfile));
readfile($zipfile);
?>