<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code creates a new Association and saves it to the 
// database
//
require_once('core/Association.php');
require_once('core/AssociationPeer.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('core/Language.php');

$Lang = Language::getSessLang();

$return_to = $_POST['return_to'];
$return_to = preg_replace("/&feedback=.*$/", "", $return_to);


if (strpos($_POST['return_to'],'?') === false) {
	$q='?';
} else {
	$q='';
}
if (isset($_POST['sure'])) {
	$crit= new Criteria();
	$vals = explode('|',$_POST['key']);
	$crit->add( AssociationPeer::SECTION,$vals[0] );
	$crit->add( AssociationPeer::REF_ID,$vals[1] );
	$crit->add( AssociationPeer::TO_SECTION,$vals[2] );
	$crit->add( AssociationPeer::TO_REF_ID,$vals[3] );
	$Association = AssociationPeer::doSelectOne($crit);
	if (is_object($Association) && $Association->userCanDelete()) {
		$Association->delete();
	}
	header("Location: ".$return_to.$q.'&feedback='.urlencode($Lang->getText('Association.DeleteFeedback')));
} else {
	header("Location: ".$return_to.$q.'&feedback='.urlencode($Lang->getText('AssociationDeleteForm.DidntConfirm')));
}

?>
