<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   
 * @author Daniel A. Perez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('html/SiteTemplate.php');
require_once('lib/core/UserSessionPeer.php');
require_once('lib/core/UserSession.php');

$template = new SiteTemplate();
$params = array(
		'selectedtoptab'	=> 'admin');
$template->header($params);

$c = new Criteria();
$c->setLimit(50);
$sessions = UserSessionPeer::doSelect($c);

print '<h3>'.Language::getSessText('Stats.MostRecent').'</h3>';

$titles[] = Language::getSessText('Stats.Date');
$titles[] = Language::getSessText('Stats.Ip');
$titles[] = Language::getSessText('Stats.User');

echo $template->tableTop($titles);

$i=0;
foreach ($sessions as $session) {
	echo '
		<tr '.$template->getTableRowStyle($i++).'>
		<td>'. $session->getLoginTime() .'</td>
		<td>'. $session->getIpAddr() .'</td>
		<td>'. $session->getUser()->getUnixName() .'</td>
		</tr>
	';	
}

echo $template->tableBottom();

$template->footer();
?>